Bug 14073 - Mono hangs running mono/tests/gsharing-valuetype-layout.exe
Summary: Mono hangs running mono/tests/gsharing-valuetype-layout.exe
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-08-19 10:48 UTC by Charles Randall
Modified: 2013-09-13 15:37 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Charles Randall 2013-08-19 10:48:12 UTC
Running the mono-3-2 branch as of a0fc6ba35b7454425b8ec772b2652730b8030a52 I'm seeing test timeouts in mono/tests/gsharing-valuetype-layout.exe in about 3% of runs.

On investigation, when the tests timeout the mono runtime is hanging.

Stacktrace,

http://sprunge.us/CfjX

I can provide more stack traces if it would help.

Running on OpenSuse 12.3,

# uname -a
Linux linux-mono.nirvanix.com 3.7.10-1.1-desktop #1 SMP PREEMPT Thu Feb 28 15:06:29 UTC 2013 (82d3f21) x86_64 x86_64 x86_64 GNU/Linux

Running on a VMware virtual machine with 4 CPUs and 8 GB of RAM.

Note that this can be worked around by using "-O=-aot".
Comment 1 Charles Randall 2013-08-19 12:33:25 UTC
This is also repeatable with the code from git master at change 1269b409b37730a07a050a84fda9086b46437b5f.

Stack trace,

http://sprunge.us/AETL

Can still be worked around with "-O=-aot".
Comment 2 Zoltan Varga 2013-08-19 19:39:36 UTC
This is a dup of #8517.
Comment 4 Zoltan Varga 2013-09-07 06:23:40 UTC
Wrong comment.
Comment 5 Zoltan Varga 2013-09-13 15:37:38 UTC
Fixed in master in 9a6510ece63cee1a0416c123f8de84767b3ae2e2.